import request from '@/utils/request'

// 查询设备软硬件升级记录列表
export function listRecords(query) {
  return request({
    url: '/pms/records/list',
    method: 'get',
    params: query
  })
}

// 查询设备软硬件升级记录详细
export function getRecords(id) {
  return request({
    url: '/pms/records/' + id,
    method: 'get'
  })
}

// 新增设备软硬件升级记录
export function addRecords(data) {
  return request({
    url: '/pms/records',
    method: 'post',
    data: data
  })
}

// 修改设备软硬件升级记录
export function updateRecords(data) {
  return request({
    url: '/pms/records',
    method: 'put',
    data: data
  })
}

// 删除设备软硬件升级记录
export function delRecords(id) {
  return request({
    url: '/pms/records/' + id,
    method: 'delete'
  })
}
